---
title:  "NAT 网络检测为差的时候怎么办？"
permalink: /help/launcher/multiplayer-symmetric.html
date:   2021-10-09 23:18:02 +0800
categories: HMCL
toc: true
---

> 本文由 huanghongxun 编写。

## 前言

HMCL 会检测你的网络的 NAT 类型，一般为以下 5 种：

1. 好（开放型）
2. 好（完全圆锥型）
3. 中（受限圆锥型）
4. 中（端口受限圆锥型）
5. 差（对称型）

如果 HMCL 检测到你的 NAT 类型为好，恭喜你，你的联机体验将会比较好。

如果你的 NAT 类型为中，你将可以使用联机功能。

**如果你的 NAT 类型为差，你将大概率无法使用联机功能。**



请注意，你的网络带宽，如 50M、100M，数字大小和能否使用联机功能没有关联。不是说你家网络带宽越大，联机体验就越好。

> 本文参考了 [网络类型NAT3改NAT1 基于（联通）光猫桥接、路由器红米AX5、win10系统_TopTab的博客-CSDN博客_nat3怎么改成nat1](https://blog.csdn.net/qq_46648437/article/details/113747066)

## 如何改善 NAT 类型为差的网络？

NAT 类型为差，可能是家用路由器的问题；或者是你的网络运营商，如电信、联通、移动导致的。

**以下的方法不一定能改善 NAT 类型为差的网络，但是如果你的 NAT 类型为差，我们建议你先尝试一遍以下方法。如果还是不行，你可以在网上搜索 “NAT4 网络如何改为 NAT1” 等相关资料。**

### Windows 10/11 用户

对于 Windows 10/11 用户，我们建议你首先在系统设置→网络→Xbox 网络设置中，等待 Windows 检测网络状态与 NAT 类型，如果检测结果为“这可能会阻止你玩多人游戏”，你的网络类型为差，你可以点击下面的“单击此处获取详细信息”，以尝试微软提供的网络质量改善建议。还可以点击修复按钮以尝试由 Windows 提供的网络修复功能。

![windows-nat](/assets/img/docs/multiplayer-symmetric/windows-nat.png)

微软提供的网络配置解决方案：[Windows 10 上的 NAT 类型显示“Teredo 无法获得资格” | Xbox Support](https://support.xbox.com/zh-CN/help/Hardware-Network/connect-network/troubleshoot-party-chat)

### 家用路由器配置改善

请注意，手机开热点所产生的网络的质量大概率为差。这种情况下，网络类型无法改善，请使用固定宽带上网。

#### DMZ 主机

你可以将你的电脑设置为路由器的 DMZ 主机，以规避家用路由器配置可能会导致 NAT 类型为差的问题。

请注意！不同的家用路由器的DMZ主机设置方法不同，你可以在网络上搜索你家路由器的 DMZ 主机配置方法，而不一定要完成以下步骤。比如你可以搜索 “TP-Link 路由器 设置 DMZ 主机”、“水星路由器设置 DMZ 主机”、“华为路由器设置 DMZ 主机”等，具体搜索内容请根据你家路由器品牌决定。

1. 登录路由器管理页面

   首先，你需要在浏览器中打开你的路由器管理页面，路由器管理页面的地址一般为 `192.168.1.1`，或者`192.168.0.1`、`192.168.199.1`。路由器管理地址可以在路由器说明书或者机身上的标签中找到。
   ![image-20211010151427058](/assets/img/docs/multiplayer-symmetric/login.png)

   接着，你需要输入路由器管理员账号密码（上图中的水星路由器只有密码）。如果路由器是自家购买的，其管理员账号密码一般你会知道。如果你不知道，你可以询问你的父母。如果还是不知道，且你家路由器是由电信运营商工作人员配置的，你可以询问电信客服。如果还是不知道，你可以通过重置路由器并重新配置拨号上网等相关设置以重置管理员密码（注意，重置路由器会丢失已经配置好的 WiFi 密码、拨号上网账号信息，这些设置信息需要你自己获得。因为重置路由器导致无法继续上网的责任，本文及作者不予承担）。

2. DHCP 设置静态 IP

   设置 DMZ 主机前，你需要将你的电脑绑定静态 IP（若已绑定静态 IP ，你可以跳过本步骤）。

   ![img](/assets/img/docs/multiplayer-symmetric/static-ip.png)

   你需要找到你的路由器的 DHCP 静态 IP 分配设置页面，并添加你的设备。

   添加设备时大多需要你填写设备 MAC 地址和静态 IP 地址。上图中，路由器设置页面提供了绑定按钮，你点击绑定即可完成静态 IP 分配工作。

   如果你的路由器设置页面没有提供绑定按钮，比如上图中，点击右下角的添加按钮绑定 IP。主机、MAC地址和IP地址填写内容与你的计算机当前的信息一致（上图的 IP 与 MAC 映射表），你可以通过主机名来判断哪个是你的电脑（请不要选错成你的 iPad 或者手机），你可以上网搜索”电脑主机名“来查找获取电脑主机名的方法。

   添加绑定之后，你的电脑 IP 应当被固定在你设置的 IP 地址上，你可以通过重启路由器或者断开网络（并且把手机之类的设备也断网）后重新连接网络，并在同一个页面查看你的主机 ip，如果没有变化，说明设置成功。

3. 配置 DMZ 主机

   最后，你需要在路由器设置中找到 DMZ 主机设置页面。还记得你刚才绑定的静态 IP 地址吗？你需要填写到 DMZ 主机设置页面中：

   ![dmz](/assets/img/docs/multiplayer-symmetric/dmz.png)

   （这里给填写好的 DMZ 主机 IP 地址打马赛克，是防止你误直接填写了我的设置，你应该填写你所设置的静态  IP）

   配置完成后记得保存你的设置。

4. 效果

   成功保存设置后，你的电脑的所有端口应当被暴露在网络中，以绕过路由器自己的 NAT 设置。你可以再次打开 HMCL 并测试网络，如果网络状态变好了，说明你的网络监测状态差是你的家用路由器导致的。

   （请注意端口映射不能解决该问题，因为 HMCL 联机功能会选用任意端口进行网络通信）

### 光猫改桥接

#### 方法一 光猫改桥接，直接联系宽带的客服，叫技术人员帮你改
#### 方法二 获得管理员地址和管理员密码，然后自己手动修改（作者TopTab采用）

本方法使用联通宽带作为示例，如果你的宽带是电信或移动提供的，需要联系对应客服。

1. 电话联通客服，转人工，转宽带，告诉客服你需要桥接，然后，和技术人员交流后，获得光猫管理员地址以及管理员密码。
   我这里的联通光猫管理地址是192.168.1.1/cu.html
2. 接入光猫（可有线插光猫或者无线连接光猫的wifi——这里不是路由器的wifi）
3. 在网页端输入超级权限（或者说管理员权限）地址和密码![modem-login](/assets/img/docs/multiplayer-symmetric/modem-login.jpg)
4. 点击基本配置（后面的上行、wan我这是默认是首先显示的，所以不需要点击）![modem-setting](/assets/img/docs/multiplayer-symmetric/modem-setting.jpg)
5. 选择连接名称包含字段INTERNET，将其连接模式改桥接![modem-bridge](/assets/img/docs/multiplayer-symmetric/modem-bridge.jpg)
6. （可选操作）删除为TR069的连接名称——这个貌似是运营商那边的远程管理
   PS:由于我改网之后被运营商限制登录光猫，所以我重置之后把远程管理给删了。读者视情况考虑删除

### 系统防火墙

系统防火墙也可能会阻止外来网络连接，即阻止他人与你直接连接。你可以尝试关闭系统防火墙：



![firewall](/assets/img/docs/multiplayer-symmetric/firewall.jpg)

请注意，关闭系统防火墙可能会导致你的电脑处于网络攻击的危险之中，如果关闭防火墙不能改善你的网络状况，我们建议你重新打开防火墙。

### 使用中继模式

如果上述方法均无法解决问题，你可以考虑使用 HMCL 提供的中继模式。

![relay](/assets/img/docs/multiplayer-symmetric/relay.png)

HMCL 要求你申请静态 Token 之后才能启用 cato 的中继模式。cato 中继模式启用后，NAT 网络类型为差的用户也可以正常使用联机功能。具体申请方法参见 [🎟️Cato – 10月1.1版本体验活动 🐾 这里 (noin.cn)](https://noin.cn/circle/386.html)。noin.cn 要求申请静态 Token 的用户付费或完成指定的任务以获得静态 Token。

